Bug 1729969 - [abrt] xfce4-session: __strcmp_avx2(): xfce4-session killed by SIGSEGV
Summary: [abrt] xfce4-session: __strcmp_avx2(): xfce4-session killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-session
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9b36f36e276b86158e4bbc049ab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 12:43 UTC by Ed
Modified: 2020-05-26 16:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:42:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.03 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: cgroup (331 bytes, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: core_backtrace (11.54 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: cpuinfo (1.50 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: dso_list (8.40 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: environ (1.09 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: maps (48.16 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: mountinfo (3.70 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: open_fds (1.25 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-07-15 12:44 UTC, Ed
no flags Details

Description Ed 2019-07-15 12:43:56 UTC
Description of problem:
On startup, when Evolution (Mail software) is started, xfce-session crashes and the following is appended to the log:

(xfsettingsd:1566): libxfce4ui-WARNING **: 14:31:24.672: ICE I/O Error
(xfce4-panel:1567): libxfce4ui-WARNING **: 14:31:24.672: ICE I/O Error
(xfsettingsd:1566): libxfce4ui-WARNING **: 14:31:24.672: Disconnected from session manager.
(xfwm4:1549): libxfce4ui-WARNING **: 14:31:24.672: ICE I/O Error
(xfce4-panel:1567): libxfce4ui-WARNING **: 14:31:24.672: Disconnected from session manager.
(xfwm4:1549): libxfce4ui-WARNING **: 14:31:24.672: Disconnected from session manager.
(evolution:1610): Gtk-WARNING **: 14:31:24.673: Failed to register client: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Remote peer disconnected
Gdk-Message: 14:31:24.682: xfwm4: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Gdk-Message: 14:31:24.691: xfce4-panel: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Gdk-Message: 14:31:24.691: xfsettingsd: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Gdk-Message: 14:31:24.692: Thunar: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Gdk-Message: 14:31:24.692: wrapper-2.0: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Gdk-Message: 14:31:24.692: wrapper-2.0: Fatal IO error 104 (Connection reset by peer) on X server :0.
Gdk-Message: 14:31:24.693: wrapper-2.0: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Gdk-Message: 14:31:24.695: wrapper-2.0: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Version-Release number of selected component:
xfce4-session-4.13.2-2.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        xfce4-session
crash_function: __strcmp_avx2
executable:     /usr/bin/xfce4-session
journald_cursor: s=eeb75c2bdab04d02912674372da857d1;i=532f;b=47c7da6ce3ec47eea77d01f4783bd6c0;m=20a091d;t=58db751eb7d80;x=949218b981099f12
kernel:         5.1.17-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_avx2 at ../sysdeps/x86_64/multiarch/strcmp-avx2.S:101
 #1 g_list_find_custom at ../glib/glist.c:850
 #2 g_queue_find_custom at ../glib/gqueue.c:331
 #3 xfsm_manager_get_pending_properties at xfsm-manager.c:899
 #4 xfsm_manager_register_client at xfsm-manager.c:1003
 #5 xfsm_manager_dbus_register_client at xfsm-manager.c:2657
 #6 ffi_call_unix64 at ../src/x86/unix64.S:76
 #7 ffi_call at ../src/x86/ffi64.c:525
 #8 g_cclosure_marshal_generic at ../gobject/gclosure.c:1500
 #11 g_signal_emitv at ../gobject/gsignal.c:3129

Comment 1 Ed 2019-07-15 12:44:00 UTC
Created attachment 1590748 [details]
File: backtrace

Comment 2 Ed 2019-07-15 12:44:02 UTC
Created attachment 1590749 [details]
File: cgroup

Comment 3 Ed 2019-07-15 12:44:04 UTC
Created attachment 1590750 [details]
File: core_backtrace

Comment 4 Ed 2019-07-15 12:44:05 UTC
Created attachment 1590751 [details]
File: cpuinfo

Comment 5 Ed 2019-07-15 12:44:07 UTC
Created attachment 1590752 [details]
File: dso_list

Comment 6 Ed 2019-07-15 12:44:09 UTC
Created attachment 1590753 [details]
File: environ

Comment 7 Ed 2019-07-15 12:44:11 UTC
Created attachment 1590754 [details]
File: exploitable

Comment 8 Ed 2019-07-15 12:44:12 UTC
Created attachment 1590755 [details]
File: limits

Comment 9 Ed 2019-07-15 12:44:15 UTC
Created attachment 1590756 [details]
File: maps

Comment 10 Ed 2019-07-15 12:44:17 UTC
Created attachment 1590757 [details]
File: mountinfo

Comment 11 Ed 2019-07-15 12:44:18 UTC
Created attachment 1590758 [details]
File: open_fds

Comment 12 Ed 2019-07-15 12:44:20 UTC
Created attachment 1590759 [details]
File: proc_pid_status

Comment 13 Ed 2019-07-15 14:26:47 UTC
Upgraded to xfce4-session 4.13.3 (Xfce 4.14pre2) from testing repo. Same issue.
If I wait a minute or so before opening Evolution, then xfce doesn't crash. Could it be a race condition?

Comment 14 Mukundan Ragavan 2019-07-15 21:54:23 UTC
Can you file this upstream at bugzilla.xfce.org?

Comment 15 Fedora Update System 2019-08-15 22:31:06 UTC
FEDORA-2019-8b21f399ee has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 16 Fedora Update System 2019-08-17 01:27:07 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

Comment 17 Fedora Update System 2019-08-23 01:26:45 UTC
Thunar-1.8.9-1.fc30, exo-0.12.8-1.fc30, garcon-0.6.4-3.fc30, gigolo-0.5.0-2.fc30, libxfce4ui-4.14.1-1.fc30, libxfce4util-4.14.0-1.fc30, parole-1.0.4-1.fc30, ristretto-0.10.0-2.fc30, thunar-volman-0.9.5-1.fc30, tumbler-0.2.7-1.fc30, xfce4-appfinder-4.14.0-1.fc30, xfce4-battery-plugin-1.1.3-1.fc30, xfce4-datetime-plugin-0.8.0-1.fc30, xfce4-diskperf-plugin-2.6.2-1.fc30, xfce4-fsguard-plugin-1.1.1-1.fc30, xfce4-genmon-plugin-4.0.2-1.fc30, xfce4-mpc-plugin-0.5.2-1.fc30, xfce4-netload-plugin-1.3.2-1.fc30, xfce4-panel-4.14.0-1.fc30, xfce4-places-plugin-1.8.1-1.fc30, xfce4-power-manager-1.6.5-1.fc30, xfce4-pulseaudio-plugin-0.4.2-1.fc30, xfce4-screensaver-0.1.8-2.fc30, xfce4-session-4.14.0-1.fc30, xfce4-settings-4.14.0-1.fc30, xfce4-smartbookmark-plugin-0.5.1-1.fc30, xfce4-systemload-plugin-1.2.3-1.fc30, xfce4-time-out-plugin-1.0.3-1.fc30, xfce4-wavelan-plugin-0.6.1-1.fc30, xfce4-weather-plugin-0.10.0-1.fc30, xfconf-4.14.1-1.fc30, xfdashboard-0.7.5-4.fc30, xfdesktop-4.14.1-1.fc30, xfwm4-4.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Ben Cotton 2020-04-30 21:17:58 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2020-05-26 16:42:45 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.